org.apache.commons.collections4

## Class FunctorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.collections4.FunctorException

- All Implemented Interfaces:
    Serializable

      public class FunctorException
      extends RuntimeException

  Runtime exception thrown from functors. If required, a root cause error can be wrapped within this one.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctorException()` Constructs a new `FunctorException` without specified detail message.
    `FunctorException(String msg)` Constructs a new `FunctorException` with specified detail message.
    `FunctorException(String msg, Throwable rootCause)` Constructs a new `FunctorException` with specified detail message and nested `Throwable` root cause.
    `FunctorException(Throwable rootCause)` Constructs a new `FunctorException` with specified nested `Throwable` root cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctorException

          public FunctorException()

      Constructs a new `FunctorException` without specified detail message.

    - #### FunctorException

          public FunctorException(String msg)

      Constructs a new `FunctorException` with specified detail message.
      Parameters:
        `msg` - the error message.

    - #### FunctorException

          public FunctorException(Throwable rootCause)

      Constructs a new `FunctorException` with specified nested `Throwable` root cause.
      Parameters:
        `rootCause` - the exception or error that caused this exception to be thrown.

    - #### FunctorException

          public FunctorException(String msg,
                                  Throwable rootCause)

      Constructs a new `FunctorException` with specified detail message and nested `Throwable` root cause.
      Parameters:
        `msg` - the error message.
        `rootCause` - the exception or error that caused this exception to be thrown.

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.